image: registry.gitlab.com/agriconnect/tools/docker-meson:master

variables:
  GIT_SUBMODULE_STRATEGY: recursive

build:
  stage: build
  script: meson _build
  artifacts:
    untracked: true
    paths:
      - _build

test:
  stage: test
  dependencies:
    - build
  script:
    - meson test -C _build
